// My File Manager (MFM).
//
// Copyright 2005-2006 by Stefano Gatti.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
// USA.
//
//=====================================================================

#ifndef mfmcfg_ui_h
#define mfmcfg_ui_h

#include "mfmcfg_ui_fluid.hxx"


class class_mfmcfg : class_mfmcfg_fluid {

public:

  class_mfmcfg();

private:

  void load_config();
  void save_config();

  void clear_type_input();

  void mfmcfg_editor_button_callback();
  void mfmcfg_terminal_button_callback();
  void mfmcfg_trash_button_callback();
  void mfmcfg_exec_button_callback();
  void mfmcfg_dir_button_callback();
  void mfmcfg_mount_button_callback();
  void mfmcfg_umount_button_callback();
  void mfmcfg_type_browser_callback();
  void mfmcfg_type_color_button_callback();
  void mfmcfg_type_add_button_callback();
  void mfmcfg_type_del_button_callback();
  void mfmcfg_type_modify_button_callback();
  void mfmcfg_burn_device_button_callback();
  void mfmcfg_burn_mount_button_callback();
  void mfmcfg_save_callback();
  void mfmcfg_exit_callback();
  void mfmcfg_help_callback();  

};

#endif
